## package-lint-el 0.25

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
DEPS = cl-lib let-alist compat

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${DEPS})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
	(package-refresh-contents)) \
      (package-install pkg))) \
  (unless package-archive-contents (package-refresh-contents)) \
  )"

EMACS_BATCH=${EMACS} -Q -batch --eval ${INIT_PACKAGES}

all: clean-elc compile package-lint test

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -l package-lint.el -f package-lint-batch-and-exit package-lint.el

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

TEST_SELECTOR ?= t
test-unit:
	@echo "---- Run unit tests"
	@${EMACS_BATCH} \
		 -l package-lint.el \
		 -l package-lint-test.el \
		 --eval "(ert-run-tests-batch-and-exit '${TEST_SELECTOR})" \
		 && echo "OK"

test-batch:
	@echo "---- Assert clean package passes batch linting"
	@${EMACS_BATCH} \
		 -l package-lint.el \
		 -f package-lint-batch-and-exit \
		 batch-tests/is-clean.el && echo "OK"
	@echo "---- Assert package with demoted warnings passes batch linting"
	@${EMACS_BATCH} \
		 --eval "(setq package-lint-batch-fail-on-warnings nil)" \
		 -l package-lint.el \
		 -f package-lint-batch-and-exit \
		 batch-tests/just-warnings.el && echo "OK"
	@echo "---- Assert package with warnings fails batch linting"
	@${EMACS_BATCH} \
		 -l package-lint.el \
		 -f package-lint-batch-and-exit \
		 batch-tests/just-warnings.el && \
	    exit 1 || echo "OK"
	@echo "---- Assert package with errors fails batch linting"
	@${EMACS_BATCH} \
		 -l package-lint.el \
		 -f package-lint-batch-and-exit \
		 batch-tests/has-errors.el && \
	    exit 1 || echo "OK"

test: test-unit test-batch

.PHONY:	all compile clean-elc package-lint test test-unit test-batch

## package-lint-el 0.5

=== debian/changelog ===
package-lint-el (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #877431)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 1 Oct 2017 22:12:41 +0500

=== debian/control ===
Source: package-lint-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 4.1.0
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/purcell/package-lint
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/package-lint-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/package-lint-el.git

Package: elpa-package-lint
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: linting library for Elisp package authors
 This package provides a list of issues with the package metadata of a
 file, e.g. the package dependencies it requires.

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%package-lint-el-$1.tar.gz%" \
             https://github.com/purcell/package-lint/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## package-lint-el 0.7

=== debian/changelog ===
package-lint-el (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
  * Refresh patches
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 03 Jan 2019 18:36:39 +0500

package-lint-el (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
  * Refresh patches
  * Migrate to dh 11
  * Package new package-lint-flymake as a separate binary package
  * d/control: Add Rules-Requires-Root: no
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Declare Standards-Version 4.2.1 (no changes needed)
  * d/control: Update Maintainer (to Debian Emacsen team)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Nov 2018 17:21:08 +0500

=== debian/control ===
Source: package-lint-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/purcell/package-lint
Vcs-Browser: https://salsa.debian.org/emacsen-team/package-lint-el
Vcs-Git: https://salsa.debian.org/emacsen-team/package-lint-el.git

Package: elpa-package-lint
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0),
            elpa-package-lint-flymake
Enhances: emacs,
          emacs25
Description: linting library for Elisp package authors
 This package provides a linter for the metadata in Emacs Lisp files
 which are intended to be packages. Developers can integrate it into
 their build process. It provides a list of issues with the package
 metadata of a file, e.g. the package dependencies it requires.

Package: elpa-package-lint-flymake
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-package-lint
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: package-lint Flymake backend
 This package provides a package-lint Flymake backend. Flymake is the
 built-in Emacs package to support on-the-fly syntax checking. This
 library adds support for flymake to `package-lint'.

## package-lint-el 0.11

=== debian/changelog ===
package-lint-el (0.11-1) unstable; urgency=medium

  * New upstream version 0.11
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/control: Clean dependencies
  * d/control: Add elpa-let-alist to Build-Depends
  * Refresh patch to fix version number
  * Refresh patch to clean documentation
  * Refresh patch to deal with tests

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 15 Dec 2019 15:05:30 +0500

package-lint-el (0.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 12:17:58 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-elpa
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               dh-elpa,
+               elpa-let-alist
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint
@@ -18,8 +19,7 @@
          ${misc:Depends}
 Recommends: emacs (>= 46.0),
             elpa-package-lint-flymake
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: linting library for Elisp package authors
  This package provides a linter for the metadata in Emacs Lisp files
  which are intended to be packages. Developers can integrate it into
@@ -29,8 +29,7 @@
 Package: elpa-package-lint-flymake
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         elpa-package-lint
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: package-lint Flymake backend

## package-lint-el 0.12

=== debian/changelog ===
package-lint-el (0.12-1) unstable; urgency=medium

  * New upstream version 0.12
  * Refresh patches
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 27 Feb 2020 22:02:36 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-let-alist
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint

## package-lint-el 0.13

=== debian/changelog ===
package-lint-el (0.13-1) unstable; urgency=medium

  * New upstream version 0.13
  * Refresh patches
  * Add some upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Fix wildcard to correctly match directory
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 13 Aug 2020 09:10:16 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-let-alist
 Standards-Version: 4.5.0

## package-lint-el 0.15

=== debian/changelog ===
package-lint-el (0.15-1) unstable; urgency=medium

  * New upstream version 0.15
  * Update patches
  * d/control: Declare Standards-Version 4.6.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 19 Aug 2021 09:38:54 +0500

## package-lint-el 0.16

=== debian/changelog ===
package-lint-el (0.16-1) unstable; urgency=medium

  * New upstream version 0.16
  * Refresh patches
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 26 Feb 2022 10:24:49 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-let-alist
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint

## package-lint-el 0.19

=== debian/changelog ===
package-lint-el (0.19-1) unstable; urgency=medium

  * New upstream version 0.19
  * Drop obsolete patch, refresh patches
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Aug 2023 19:40:51 +0500

package-lint-el (0.17-1) unstable; urgency=medium

  * New upstream version 0.17
  * Refresh patches
  * tmp: remove test patch
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Jun 2023 10:18:04 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-let-alist
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint

## package-lint-el 0.21

=== debian/changelog ===
package-lint-el (0.21-1) unstable; urgency=medium

  * New upstream version 0.21
  * Update patches
  * d/control: Build-Depend on elpa-compat
  * d/control: Clean Recommends

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 09 Dec 2023 14:19:38 +0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
+               elpa-compat,
                elpa-let-alist
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -17,7 +18,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0),
+Recommends: emacs,
             elpa-package-lint-flymake
 Enhances: emacs
 Description: linting library for Elisp package authors
@@ -30,7 +31,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: package-lint Flymake backend
  This package provides a package-lint Flymake backend. Flymake is the

## package-lint-el 0.23

=== debian/changelog ===
package-lint-el (0.23-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:15:28 +0900

package-lint-el (0.23-1) unstable; urgency=medium

  * New upstream version 0.23
  * Re-enable fixed tests
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 03 Apr 2024 17:14:25 +0500

package-lint-el (0.22-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * New upstream version 0.22
  * Update copyright year in d/copyright
  * Add Upstream-Contact in d/copyright
  * Modernize d/watch with special substitute string to be more robust

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 29 Mar 2024 09:04:25 +0800

## package-lint-el 0.24

=== debian/changelog ===
package-lint-el (0.24-1) unstable; urgency=medium

  * New upstream version 0.24
  * d/control: Declare Standards-Version 4.7.0 (no changes needed)
  * d/rules: Disable upstream build

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 10 Nov 2024 13:03:29 +0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-elpa,
                elpa-compat,
                elpa-let-alist
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint

## package-lint-el 0.25

=== debian/changelog ===
package-lint-el (0.25-1) unstable; urgency=medium

  * New upstream version
  * Correct the reason for skipping tests due to requiring melpa and
    networking
    - This rectifies commits 585bc6c and 70eac1c.
  * Add d/gbp.conf matching the current practice
  * Add d/salsa-ci.yml with the default template

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 09 Mar 2025 03:35:01 -0700

package-lint-el (0.24-2) unstable; urgency=medium

  * Use ert_selectors to skip failing tests
    - Require dh-elpa >= 2.1.6
    - Drop 0002-disable-tests.diff
  * Skip more tests failing due to not allowing separately packaged seq
  * Update Standards-Version to 4.7.2; no change needed
  * Add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 06 Mar 2025 12:00:31 -0800

## package-lint-el 0.26

=== debian/changelog ===
package-lint-el (0.26-2) unstable; urgency=medium

  * Skip tests that requires external compat (Closes: #1109547)
    - package-lint does not consider built-in packages when checking
      `Packge-Requires'.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 19 Jul 2025 17:17:25 -0700

package-lint-el (0.26-1) unstable; urgency=medium

  * New upstream version

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 22 Apr 2025 23:03:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Lev Lamberov <dogsleg@debian.org>
+Uploaders: Lev Lamberov <dogsleg@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
-               dh-elpa,
+               dh-elpa (>= 2.1.6),
                elpa-compat,
                elpa-let-alist
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/purcell/package-lint

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/purcell/package-lint/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
